Bug 492312 (CVE-2009-1107) - CVE-2009-1107 OpenJDK: Signed applet remote misuse possibility (6782871)
Summary: CVE-2009-1107 OpenJDK: Signed applet remote misuse possibility (6782871)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1107
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://sunsolve.sun.com/search/docume...
Whiteboard:
Depends On: 492325 492326 492328 492329 500582 500583 506910 506911 540443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-26 12:35 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-20 18:14:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0392 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-03-26 16:03:31 UTC
Red Hat Product Errata RHSA-2009:0394 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-03-26 16:06:57 UTC
Red Hat Product Errata RHSA-2009:1038 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-05-18 20:28:11 UTC
Red Hat Product Errata RHSA-2009:1198 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-08-06 21:29:56 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC

Description Jan Lieskovsky 2009-03-26 12:35:43 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1107 to
the following vulnerability:

The Java Plug-in in Java SE Development Kit (JDK) and Java Runtime
Environment (JRE) 6 Update 12 and earlier, and 5.0 Update 17 and
earlier, allows remote attackers to trick a user into trusting a
signed applet via unknown vectors that misrepresent the security
warning dialog, related to a "Swing JLabel HTML parsing
vulnerability," aka CR 6782871.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1107
http://sunsolve.sun.com/search/document.do?assetkey=1-21-125139-14-1
http://sunsolve.sun.com/search/document.do?assetkey=1-66-254611-1

Comment 3 errata-xmlrpc 2009-03-26 16:03:28 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0392 https://rhn.redhat.com/errata/RHSA-2009-0392.html

Comment 4 errata-xmlrpc 2009-03-26 16:06:47 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0394 https://rhn.redhat.com/errata/RHSA-2009-0394.html

Comment 6 errata-xmlrpc 2009-05-18 20:28:32 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1038 https://rhn.redhat.com/errata/RHSA-2009-1038.html

Comment 8 errata-xmlrpc 2009-08-06 21:30:45 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1198 https://rhn.redhat.com/errata/RHSA-2009-1198.html

Comment 10 errata-xmlrpc 2009-12-11 13:43:05 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html

Comment 11 errata-xmlrpc 2010-01-14 16:32:18 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.